=== debian/control ===
Source: ocaml-omd
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 ocaml-native-compilers

Package: ocaml-omd
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: A Markdown frontend in pure OCaml.
 This Markdown library is implemented using only pure OCaml (including
 I/O operations provided by the standard OCaml compiler distribution).
 OMD is meant to be as faithful as possible to the original Markdown.
 Additionally, OMD implements a few Github markdown features, an
 extension mechanism, and a few other features. Note that the opam
 package installs both the OMD library and the command line tool
 `omd`. Note that The library interface of 1.0.x is only partially
 compatible with 0.9.x.

Package: ocaml-omd-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-omd (>= 1.0.2-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-omd
 The ocaml-omd-devel package contains libraries and signature files
 for developing applications that use ocaml-omd.
